%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Masters/Doctoral Thesis Template
%
% This template is based on a template by:
% Vel (https://www.latextemplates.com/template/masters-doctoral-thesis) Version 2.5 (27/8/17)
%
% Major modifications done by:
% Daniel dg.
%
% Template license:
% CC BY-NC-SA 3.0 (http://creativecommons.org/licenses/by-nc-sa/3.0/)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[
11pt, % The default document font size, options: 10pt, 11pt, 12pt
%oneside, % Two side (alternating margins) for binding by default, uncomment to switch to one side
english, % ngerman for German
doublespacing, % Single line spacing, alternatives: onehalfspacing or doublespacing
%finalversion, % Uncomment to enable final version mode, e.g. not a draft anymore. -> (Displays errors for todo notes, ...)
nolistspacing, % If the document is onehalfspacing or doublespacing, uncomment this to set spacing in lists to single
liststotoc, % Uncomment to add the list of figures/tables/etc to the table of contents
%toctotoc, % Uncomment to add the main table of contents to the table of contents
parskip, % Uncomment to add space between paragraphs
%nohyperref, % Uncomment to not load the hyperref package
headsepline, % Uncomment to get a line under the header
%chapterinoneline, % Uncomment to place the chapter title next to the number on one line
%consistentlayout, % Uncomment to change the layout of the declaration, abstract and acknowledgements pages to match the default layout
%disabletodo, % Uncomment to disable the output of TODO Notes
enablenomenclaturevalue, % Uncomment to enable the value column in Nomenclature
%resetcountonpart, % Uncomment to reset chapter counter in each part
]{MastersDoctoralThesis} % The class file specifying the document structure

% NOMECLATURE
\importsymbols{{greek-symbols,symbols}}% comma seperated .bib file names for symbols
\importsubscripts{{subscripts}}% comma seperated .bib file names for subscripts
\importacronyms{{abbreviations}}% comma seperated .bib file names for acronyms
\importglossary{{glossary}}% comma seperated .bib file names for glossaries

% BIBLIOGRAPHY
\usepackage[backend=biber,style=numeric,sorting=none]{biblatex} 		% Very similar to IEEE
\addbibresource{Bibliography.bib} % The filename of the bibliography


%----------------------------------------------------------------------------------------
%	MARGIN SETTINGS
%----------------------------------------------------------------------------------------

\geometry{
	paper=a4paper, 
	inner=2.5cm, % Inner margin
	outer=3.8cm, % Outer margin
	bindingoffset=.5cm, % Binding offset
	top=1.5cm, % Top margin
	bottom=1.5cm, % Bottom margin
	%showframe, % Uncomment to show how the type block is set on the page
}

%----------------------------------------------------------------------------------------
%	THESIS INFORMATION
%----------------------------------------------------------------------------------------

\setthesistitle{Thesis Title} % Your thesis title, this is used in the title and abstract, print it elsewhere with \thesistitle
\setsupervisor{Firstname \textsc{Lastname}} % Your supervisor's name, this is used in the title page, print it elsewhere with \supervisorname
\setauthor{Firstname \textsc{Lastname}} % Your name, this is used in the title page and abstract, print it elsewhere with \authorname

\setkeywords{} % List keywords that are relevant to your thesis. These will appear in search engines for published documents.
\setuniversity{\href{https://www.canterbury.ac.nz/}{University of Canterbury}} % Your university's name and URL, this is used in the title page, print it elsewhere with \universityname
\setdepartment{\href{https://www.canterbury.ac.nz/engineering/schools/ece/}{Department of ?? Engineering}} % Your department's name and URL, this is used in the title page, print it elsewhere with \departmentname
\setfaculty{\href{http://faculty.university.com}{Faculty Name}} % Your faculty's name and URL, E.g. Engineering or Phsycology, this is used in the title page, print it elsewhere with \faculty name
\setpostgradtype{Master's/PhD} % Choose one!

\begin{document}

\frontmatter % Use roman page numbering style (i, ii, iii, iv...) for the pre-content pages
\pagestyle{plain} % Default to the plain heading style until the thesis style is called for the body content

%----------------------------------------------------------------------------------------
%	TITLE PAGE
%----------------------------------------------------------------------------------------

\inserttitlepage

%----------------------------------------------------------------------------------------
%	QUOTATION PAGE
%----------------------------------------------------------------------------------------

\quotetext{Thanks to my solid academic training, today I can write hundreds of words on virtually any topic without possessing a shred of information, which is how I got a good job in journalism.}
\quoteauth{Dave Barry}

\insertquotepage


%----------------------------------------------------------------------------------------
%	ACKNOWLEDGEMENTS
%----------------------------------------------------------------------------------------

\include{Preamble/Acknowledgements}

%----------------------------------------------------------------------------------------
%	ABSTRACT PAGE
%----------------------------------------------------------------------------------------

\include{Preamble/Abstract}

%----------------------------------------------------------------------------------------
%	LIST OF CONTENTS/FIGURES/TABLES PAGES
%----------------------------------------------------------------------------------------

\tableofcontents % Prints the main table of contents

\listoffigures % Prints the list of figures

\listoftables % Prints the list of tables

%----------------------------------------------------------------------------------------
%	NOMENCLATURE
%----------------------------------------------------------------------------------------

\insertnomenclature


%----------------------------------------------------------------------------------------
%	PHYSICAL CONSTANTS/OTHER DEFINITIONS
%----------------------------------------------------------------------------------------

%\include{Preamble/Constants}

%----------------------------------------------------------------------------------------
%	DEDICATION
%----------------------------------------------------------------------------------------

\dedicatory{For/Dedicated to/To my\ldots} 


%----------------------------------------------------------------------------------------
%	TODO NOTES
%----------------------------------------------------------------------------------------

\newpage
\listoftodos[Notes]

%----------------------------------------------------------------------------------------
%	THESIS CONTENT - CHAPTERS
%----------------------------------------------------------------------------------------

\mainmatter % Begin numeric (1,2,3...) page numbering

\pagestyle{thesis} % Return the page headers back to the "thesis" style

% Include the chapters of the thesis as separate files from the Chapters folder
\includechapter{Class}
\includechapter{Notes}
\includechapter{Images}
\includechapter{Lists}
\includechapter{Tables}
\includechapter{Math}
\includechapter{Nomenclature Referencing}
\includechapter{References}

%----------------------------------------------------------------------------------------
%	BIBLIOGRAPHY
%----------------------------------------------------------------------------------------

%\addcontentsline{toc}{section}{References} 	% Add Bibliography to table of contents
\printbibliography[heading=bibintoc]

%----------------------------------------------------------------------------------------
%	THESIS CONTENT - APPENDICES
%----------------------------------------------------------------------------------------

\appendix % Cue to tell LaTeX that the following "chapters" are Appendices

% Include the appendices of the thesis as separate files from the Appendices folder
% Uncomment the lines as you write the Appendices

\includeappendix{AppendixA}
%\includeappendix{AppendixB}
%\includeappendix{AppendixC}

%----------------------------------------------------------------------------------------

\end{document}  
